Mercurial > hg > xemacs-beta
comparison configure @ 2694:296a5cd2a686
[xemacs-hg @ 2005-03-27 04:21:07 by james]
Fix configure's test for XawInit.h. See the xemacs-patches message with
ID <pshdjcx0x9.fsf@diannao.ittc.ku.edu>.
author | james |
---|---|
date | Sun, 27 Mar 2005 04:21:09 +0000 |
parents | 7be4146ed65e |
children | 355d304fdc78 |
comparison
equal
deleted
inserted
replaced
2693:f2018e8a7078 | 2694:296a5cd2a686 |
---|---|
23690 fi | 23690 fi |
23691 if test $ac_cv_header_X11_Xaw_ThreeD_h = yes; then | 23691 if test $ac_cv_header_X11_Xaw_ThreeD_h = yes; then |
23692 { echo "$as_me:$LINENO: WARNING: Could not find a non-3d Athena header set." >&5 | 23692 { echo "$as_me:$LINENO: WARNING: Could not find a non-3d Athena header set." >&5 |
23693 echo "$as_me: WARNING: Could not find a non-3d Athena header set." >&2;} | 23693 echo "$as_me: WARNING: Could not find a non-3d Athena header set." >&2;} |
23694 else | 23694 else |
23695 if test "${ac_cv_header_X11_Xaw_XawInit_h+set}" = set; then | |
23696 echo "$as_me:$LINENO: checking for X11/Xaw/XawInit.h" >&5 | 23695 echo "$as_me:$LINENO: checking for X11/Xaw/XawInit.h" >&5 |
23697 echo $ECHO_N "checking for X11/Xaw/XawInit.h... $ECHO_C" >&6 | 23696 echo $ECHO_N "checking for X11/Xaw/XawInit.h... $ECHO_C" >&6 |
23698 if test "${ac_cv_header_X11_Xaw_XawInit_h+set}" = set; then | 23697 if test "${ac_cv_header_X11_Xaw_XawInit_h+set}" = set; then |
23699 echo $ECHO_N "(cached) $ECHO_C" >&6 | 23698 echo $ECHO_N "(cached) $ECHO_C" >&6 |
23700 fi | 23699 else |
23701 echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw_XawInit_h" >&5 | 23700 cat >conftest.$ac_ext <<_ACEOF |
23702 echo "${ECHO_T}$ac_cv_header_X11_Xaw_XawInit_h" >&6 | 23701 /* confdefs.h. */ |
23703 else | 23702 _ACEOF |
23704 # Is the header compilable? | 23703 cat confdefs.h >>conftest.$ac_ext |
23705 echo "$as_me:$LINENO: checking X11/Xaw/XawInit.h usability" >&5 | 23704 cat >>conftest.$ac_ext <<_ACEOF |
23706 echo $ECHO_N "checking X11/Xaw/XawInit.h usability... $ECHO_C" >&6 | 23705 /* end confdefs.h. */ |
23707 cat >conftest.$ac_ext <<_ACEOF | 23706 |
23708 /* confdefs.h. */ | 23707 #include <X11/Intrinsic.h> |
23709 _ACEOF | 23708 |
23710 cat confdefs.h >>conftest.$ac_ext | 23709 |
23711 cat >>conftest.$ac_ext <<_ACEOF | |
23712 /* end confdefs.h. */ | |
23713 $ac_includes_default | |
23714 #include <X11/Xaw/XawInit.h> | 23710 #include <X11/Xaw/XawInit.h> |
23715 _ACEOF | 23711 _ACEOF |
23716 rm -f conftest.$ac_objext | 23712 rm -f conftest.$ac_objext |
23717 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | 23713 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 |
23718 (eval $ac_compile) 2>conftest.er1 | 23714 (eval $ac_compile) 2>conftest.er1 |
23733 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | 23729 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
23734 (eval $ac_try) 2>&5 | 23730 (eval $ac_try) 2>&5 |
23735 ac_status=$? | 23731 ac_status=$? |
23736 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | 23732 echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
23737 (exit $ac_status); }; }; then | 23733 (exit $ac_status); }; }; then |
23738 ac_header_compiler=yes | 23734 ac_cv_header_X11_Xaw_XawInit_h=yes |
23739 else | 23735 else |
23740 echo "$as_me: failed program was:" >&5 | 23736 echo "$as_me: failed program was:" >&5 |
23741 sed 's/^/| /' conftest.$ac_ext >&5 | 23737 sed 's/^/| /' conftest.$ac_ext >&5 |
23742 | 23738 |
23743 ac_header_compiler=no | 23739 ac_cv_header_X11_Xaw_XawInit_h=no |
23744 fi | 23740 fi |
23745 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext | 23741 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext |
23746 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 | |
23747 echo "${ECHO_T}$ac_header_compiler" >&6 | |
23748 | |
23749 # Is the header present? | |
23750 echo "$as_me:$LINENO: checking X11/Xaw/XawInit.h presence" >&5 | |
23751 echo $ECHO_N "checking X11/Xaw/XawInit.h presence... $ECHO_C" >&6 | |
23752 cat >conftest.$ac_ext <<_ACEOF | |
23753 /* confdefs.h. */ | |
23754 _ACEOF | |
23755 cat confdefs.h >>conftest.$ac_ext | |
23756 cat >>conftest.$ac_ext <<_ACEOF | |
23757 /* end confdefs.h. */ | |
23758 #include <X11/Xaw/XawInit.h> | |
23759 _ACEOF | |
23760 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5 | |
23761 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1 | |
23762 ac_status=$? | |
23763 grep -v '^ *+' conftest.er1 >conftest.err | |
23764 rm -f conftest.er1 | |
23765 cat conftest.err >&5 | |
23766 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
23767 (exit $ac_status); } >/dev/null; then | |
23768 if test -s conftest.err; then | |
23769 ac_cpp_err=$ac_c_preproc_warn_flag | |
23770 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag | |
23771 else | |
23772 ac_cpp_err= | |
23773 fi | |
23774 else | |
23775 ac_cpp_err=yes | |
23776 fi | |
23777 if test -z "$ac_cpp_err"; then | |
23778 ac_header_preproc=yes | |
23779 else | |
23780 echo "$as_me: failed program was:" >&5 | |
23781 sed 's/^/| /' conftest.$ac_ext >&5 | |
23782 | |
23783 ac_header_preproc=no | |
23784 fi | |
23785 rm -f conftest.err conftest.$ac_ext | |
23786 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 | |
23787 echo "${ECHO_T}$ac_header_preproc" >&6 | |
23788 | |
23789 # So? What about this header? | |
23790 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in | |
23791 yes:no: ) | |
23792 { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: accepted by the compiler, rejected by the preprocessor!" >&5 | |
23793 echo "$as_me: WARNING: X11/Xaw/XawInit.h: accepted by the compiler, rejected by the preprocessor!" >&2;} | |
23794 { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: proceeding with the compiler's result" >&5 | |
23795 echo "$as_me: WARNING: X11/Xaw/XawInit.h: proceeding with the compiler's result" >&2;} | |
23796 ac_header_preproc=yes | |
23797 ;; | |
23798 no:yes:* ) | |
23799 { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: present but cannot be compiled" >&5 | |
23800 echo "$as_me: WARNING: X11/Xaw/XawInit.h: present but cannot be compiled" >&2;} | |
23801 { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: check for missing prerequisite headers?" >&5 | |
23802 echo "$as_me: WARNING: X11/Xaw/XawInit.h: check for missing prerequisite headers?" >&2;} | |
23803 { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: see the Autoconf documentation" >&5 | |
23804 echo "$as_me: WARNING: X11/Xaw/XawInit.h: see the Autoconf documentation" >&2;} | |
23805 { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: section \"Present But Cannot Be Compiled\"" >&5 | |
23806 echo "$as_me: WARNING: X11/Xaw/XawInit.h: section \"Present But Cannot Be Compiled\"" >&2;} | |
23807 { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: proceeding with the preprocessor's result" >&5 | |
23808 echo "$as_me: WARNING: X11/Xaw/XawInit.h: proceeding with the preprocessor's result" >&2;} | |
23809 { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: in the future, the compiler will take precedence" >&5 | |
23810 echo "$as_me: WARNING: X11/Xaw/XawInit.h: in the future, the compiler will take precedence" >&2;} | |
23811 ( | |
23812 cat <<\_ASBOX | |
23813 ## ------------------------------------------ ## | |
23814 ## Report this to the AC_PACKAGE_NAME lists. ## | |
23815 ## ------------------------------------------ ## | |
23816 _ASBOX | |
23817 ) | | |
23818 sed "s/^/$as_me: WARNING: /" >&2 | |
23819 ;; | |
23820 esac | |
23821 echo "$as_me:$LINENO: checking for X11/Xaw/XawInit.h" >&5 | |
23822 echo $ECHO_N "checking for X11/Xaw/XawInit.h... $ECHO_C" >&6 | |
23823 if test "${ac_cv_header_X11_Xaw_XawInit_h+set}" = set; then | |
23824 echo $ECHO_N "(cached) $ECHO_C" >&6 | |
23825 else | |
23826 ac_cv_header_X11_Xaw_XawInit_h=$ac_header_preproc | |
23827 fi | 23742 fi |
23828 echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw_XawInit_h" >&5 | 23743 echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw_XawInit_h" >&5 |
23829 echo "${ECHO_T}$ac_cv_header_X11_Xaw_XawInit_h" >&6 | 23744 echo "${ECHO_T}$ac_cv_header_X11_Xaw_XawInit_h" >&6 |
23830 | |
23831 fi | |
23832 if test $ac_cv_header_X11_Xaw_XawInit_h = yes; then | 23745 if test $ac_cv_header_X11_Xaw_XawInit_h = yes; then |
23833 athena_h_path=X11/Xaw | 23746 athena_h_path=X11/Xaw |
23834 else | 23747 else |
23835 { echo "$as_me:$LINENO: WARNING: Could not find a non-3d Athena header set." >&5 | 23748 { echo "$as_me:$LINENO: WARNING: Could not find a non-3d Athena header set." >&5 |
23836 echo "$as_me: WARNING: Could not find a non-3d Athena header set." >&2;} | 23749 echo "$as_me: WARNING: Could not find a non-3d Athena header set." >&2;} |
23855 /* end confdefs.h. */ | 23768 /* end confdefs.h. */ |
23856 | 23769 |
23857 #if HAVE_X11_XFUNCPROTO_H | 23770 #if HAVE_X11_XFUNCPROTO_H |
23858 #include <X11/Xfuncproto.h> | 23771 #include <X11/Xfuncproto.h> |
23859 #endif | 23772 #endif |
23773 #include <X11/Intrinsic.h.> | |
23860 | 23774 |
23861 | 23775 |
23862 #include <X11/$athena_variant/XawInit.h> | 23776 #include <X11/$athena_variant/XawInit.h> |
23863 _ACEOF | 23777 _ACEOF |
23864 rm -f conftest.$ac_objext | 23778 rm -f conftest.$ac_objext |
24057 /* end confdefs.h. */ | 23971 /* end confdefs.h. */ |
24058 | 23972 |
24059 #if HAVE_X11_XFUNCPROTO_H | 23973 #if HAVE_X11_XFUNCPROTO_H |
24060 #include <X11/Xfuncproto.h> | 23974 #include <X11/Xfuncproto.h> |
24061 #endif | 23975 #endif |
23976 #include <X11/Intrinsic.h> | |
24062 | 23977 |
24063 | 23978 |
24064 #include <$athena_variant/XawInit.h> | 23979 #include <$athena_variant/XawInit.h> |
24065 _ACEOF | 23980 _ACEOF |
24066 rm -f conftest.$ac_objext | 23981 rm -f conftest.$ac_objext |
24259 /* end confdefs.h. */ | 24174 /* end confdefs.h. */ |
24260 | 24175 |
24261 #if HAVE_X11_XFUNCPROTO_H | 24176 #if HAVE_X11_XFUNCPROTO_H |
24262 #include <X11/Xfuncproto.h> | 24177 #include <X11/Xfuncproto.h> |
24263 #endif | 24178 #endif |
24179 #include <X11/Intrinsic.h> | |
24264 | 24180 |
24265 | 24181 |
24266 #include <X11/Xaw3d/XawInit.h> | 24182 #include <X11/Xaw3d/XawInit.h> |
24267 _ACEOF | 24183 _ACEOF |
24268 rm -f conftest.$ac_objext | 24184 rm -f conftest.$ac_objext |
24464 /* end confdefs.h. */ | 24380 /* end confdefs.h. */ |
24465 | 24381 |
24466 #if HAVE_X11_XFUNCPROTO_H | 24382 #if HAVE_X11_XFUNCPROTO_H |
24467 #include <X11/Xfuncproto.h> | 24383 #include <X11/Xfuncproto.h> |
24468 #endif | 24384 #endif |
24385 #include <X11/Intrinsic.h> | |
24469 | 24386 |
24470 | 24387 |
24471 #include <Xaw3d/XawInit.h> | 24388 #include <Xaw3d/XawInit.h> |
24472 _ACEOF | 24389 _ACEOF |
24473 rm -f conftest.$ac_objext | 24390 rm -f conftest.$ac_objext |